/* You can add global styles to this file, and also import other style files */
*, *::after, *::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
 /* <uniquifier>: Use a unique and descriptive class name */
 /* <weight>: Use a value from 100 to 900 */

/* *, .roboto-slab-font {
  font-family: "Roboto Slab", serif;
  font-optical-sizing: auto;
  font-weight: 20;
  font-style: normal;
} */

html, body {
    scroll-behavior: smooth;
}
h2 {
    color: black;
    font-size: calc(1.325rem + 0.9vw);
    font-weight: 500;
}
/* view wrapper */
.wrapper {
    height: calc(100vh);
    width: 100% ;
}
/* nav header styling */
 
.nav {
    height: 5.5rem;
    width: 100%;
    background-color: gold;
    padding-top: 1rem;
    padding-left: 3rem;
  }
  
  .nav > .nav-header {
    display: inline;
  }
  
  .nav > .nav-header > .nav-title {
    display: inline-block;
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: capitalize;
    border: 3px black solid;
    padding: 5px 5px ;
  }
  
  .nav > .nav-btn {
    display: none;
  }
  
  .nav > .nav-links {
    display: inline;
    float: right;
    font-size: 18px;
    margin-left: 2rem;
  }
  
  .nav > .nav-links > a {
    display: inline-block;
    padding: 13px 10px 13px 10px;
    text-decoration: none;
    color: black;
    font-weight: 400;
  }
  
  .nav > .nav-links > a:hover {
    background-color: rgba(0, 0, 0, 0.3);
  }
  
  .nav > #nav-check {
    display: none;
  }
  @media (max-width:600px) {
    .nav > .nav-btn {
      display: inline-block;
      position: absolute;
      right: .5rem;
      top: 1rem;
    }
    .nav > .nav-btn > label {
      display: inline-block;
      width: 50px;
      height: 50px;
      padding: 13px;
    }
    .nav > .nav-btn > label:hover,.nav  #nav-check:checked ~ .nav-btn > label {
      background-color: rgba(0, 0, 0, 0.3);
    }
    .nav > .nav-btn > label > span {
      display: block;
      width: 25px;
      height: 10px;
      border-top: 2px solid black;
    }
    .nav > .nav-links {
      position: absolute;
      display: block;
      width: 100%;
      background-color: #121212;
      height: 0px;
      transition: all 0.3s ease-in;
      overflow-y: hidden;
      top: 5rem;
      left: 0px;
      margin: 0;
    }
    .nav > .nav-links > a {
      display: block;
      width: 100%;
      color: gold;
    }
    .nav > #nav-check:not(:checked) ~ .nav-links {
      height: 0px;
    }
    .nav > #nav-check:checked ~ .nav-links {
      height: calc(100vh - 5.5rem);
      overflow-y: auto;
    }
}
/* nav header ends here */
/* landing section  */
.landing-wrapper {
  height: calc(100vh - 5.5rem);
  width: 100%;
  display: grid;
  background: #121212;
  padding-left: 5%;
}
.div-content{
  display: grid;
  grid-template-columns:  1fr;
}
.content-text {
  display: flex;
  flex-direction: column;
  gap: .5rem;
  padding-top: 2rem;
  text-align: center;
}
.content-text   .sub-header {
  display: none;
}
.content-text   h1 {
  font-size: 2rem;
  font-weight: 600;
  color: gold;
}
.content-text   p {    
  color: white;
}
.landing-wrapper figure {
  margin-right: 3rem;
  margin-top: 0;
}
.landing-img {
  height:auto;
  margin: 0;
  width: 100%;
}
@media only screen and (min-width: 768px) {
  .landing-wrapper {
      padding: 3% 13%;
      padding-left: 10%;
  }
  .div-content {
      grid-template-columns: 1fr 1fr;
  }
  .content-text {
      text-align: left;
  }
  .content-text .sub-header {
    display: initial;
    color: gold;
}
.content-text  h1 {
  font-size: 3.5rem;
  font-weight: 600;
  color: gold;
}
.content-text p {
  font-size: 1.1rem;
}
 .landing-wrapper figure {
      margin-left: 1rem;
      display: initial;

  }
}
/* landing section ends here */
/* about section  */
.about-wrapper {
  width: 100%;
  padding: 5%;
}
.about-grid {
  display: grid;
  grid-template-columns: 1fr;
  background: white;

}
figure {
  margin: 0;
}
figure   img {
  width: 100%;
  height: auto;
  margin-top: 3rem;
}
.text-Div {
  padding: 5%;
  text-align: center;
  display: block;
}
.text-Div   .line {
  width: 3rem ;
  height: .1rem ;
  border: 2px gold solid;
  display: block;
  margin: 0 auto;
  margin-bottom: 1rem;
}
.text-Div   p {
  font-size: 1.1rem;
}
.text-Div   hr {
  border: 1px solid gold;
}
.icon-grid-wrapper {
  height: 10rem;
  width: 100%;
  margin-top: 2.5rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}
.icon-grid {
  width: 100%;
  height: 100%;
  display: grid;
  gap: 1rem;
  place-content: center;
  border-right: 1px solid gold;
}
.icon-grid  img {
  height: auto;
  width: 64px;
}
.icon-grid:nth-child(3) {
  border-right: none;
}
@media only screen and (min-width: 768px) {
  .about-grid {
      grid-template-columns: 1fr 1fr;
  }
}
/* about section ends here  */
/* get started section  */
.get-started {
  height: 25rem;
  position: relative;
  background: #121212;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  padding-top: 2rem;
}
.get-started   span {
  color: gold;
}
.get-started   h2 {
  color: gold;
}
.get-started   p {
  color: white;
  font-size: .9rem;
  padding: 0 2%;
}
.get-started .btn {
  font-size: 1rem;
  background: inherit;
  color: gold;
  border: 2px gold solid;
  border-radius: .4rem;
  padding: 0.5rem 0.5rem;
}
.get-started .btn:active {
  border: 2px gold solid;
  color: gold;
}

@media only screen and (min-width: 768px) {
  .get-started {      
      margin: 2rem 0;
      gap: 1rem;
      padding: 2rem 0;
  }
  .get-started  h2 {
    font-size: 2.5rem;
}
.get-started span {
    font-size: 1.3rem;
}
.get-started  P {
  font-size: 1rem;
}
}
/* get started section ends here */
/* team section  */
.team-wrapper {
  width: 100%;
  margin: 3rem 0;
  display: flex;
  flex-direction: column;
}
header {
  display: flex;
  flex-direction: column;
  width: 100%;
  align-items: center;
  gap: .5rem;
}
header .header-span {
  width: 3rem;
  height: .1rem;
  border: 2px gold solid;
}
header p {
  text-align: center;
}
.grid-wrapper {
  display: flex;
  justify-content: center;
}
.grid {
  display: grid;
  /* grid-template-columns: 1fr; */
  gap: 1rem;
  
}
.grid-box {
  margin-top: 1.875rem;
  position: relative;
  transition: all 500ms ease;
  display: inline-block;
  overflow: hidden;
  text-align: center;
  background: #ffffd7;
}
.grid-box:hover {
  background: #333;
  transition: all 500ms ease;
}
.grid-box:hover   .info-box .name{
  color: #ffffd7;
}
/* .grid-box:nth-child(5), .grid-box:nth-child(8) {
  background: inherit;
} */
.image img {
      width: 100%;
      height: auto;
      margin: 0;
  }

.info-head {
  padding: 2.1875rem 1.875rem;
  position: relative;
  z-index: 2;
  transition: all 0.4s ease;
}
.info-head .info-box{
  text-align: center;
}
.info-head .info-box  .name {
  display: block;
  font-size: 1.0625rem;
  color: #333;
  margin-bottom: 3px;
  text-transform: capitalize;
}
.info-head .info-box .designation {
  color: #aaa;
  font-size: 0.8125rem;
  transition: all 0.4s ease;
}
.social-links {
  transition: all 500ms ease;
  margin-top: 15px;
}
.social {
  list-style: none;
  padding: 0;
  margin: 0;
}
.social   li {
  display: inline-block;
  margin-right: 15px;
  list-style: none;

}
.social li a {
  display: block;
  font-size: 14px;
}
@media only screen and (min-width: 768px) {
  .grid {
      display: grid;
     
      grid-template-columns: repeat(4, 1fr);
      gap: 1rem;
      margin-left: 25rem;
    
  }
}

/* team section ends here */
/* contact section */
.contact-wrapper {
  width: 100%;
  display: grid;
  grid-template-rows: 8rem 1fr;  
  margin-bottom: 3rem;
}
.contact-header {
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  gap: .5rem;
  /* padding-top: 2rem; */
}
.contact-header span {
  width: 3rem;
  height: .1rem;
  border: 2px gold solid;
 }
 .contact-header p {
  font-size: 1.1rem;
 }
.contact-div {
  margin-top: 2rem;
  display: flex;
  justify-content: center;
}
.contact-div .box {
  display: grid;
  grid-template-columns: 1fr;
  width: 100%;
}
.contact-details {
  background: #121212;
  background-image: url(/assets/svg/contact-bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 1rem 0 1rem 2rem;
  margin-top: 1rem;

}
.contact-details::before {
  background: #121212;
  content: '';
  position: absolute;
}
.details-box {
  color: white;
  display: flex;
  flex-direction: column;
}
.details-box  figure {
  width: 2.5rem;
  background: white;
  border-radius: .2rem;
  display: grid;
  place-content: center;
}
.details-box figure img {
  width: 100%;
  height: auto;
  margin-top: 0;
}
.details-box  .detail-text {
  display: flex;
  flex-direction: column;
}
.contact-form {
  padding-left: 3rem;
  padding-top: 2rem;
  gap: 1rem;
}
.form-header{
  margin-bottom: 2rem;
}
.form-header  h4 {
  color: gold;
  font-size: 1.3rem;
}
form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
form  span {
  color: red;
}
form   label {
  font-size: 1.2rem;
}
.form-grid {
  display: grid;
  grid-template-columns: 1fr ;
  gap: 1.5rem;
}
.form-grid   div {
  display: flex;
  flex-direction: column;
}
.form-grid  input {
  height: 2rem;
  width: 80%;
}
.answer-box {
  display: flex;
  flex-direction: column;
}
.answer-box   input {
  height: 6rem;
  width: 80%;
}
.contact-btn {
  width: 10rem;
  height: 3.5rem;
  background: #121212;;
  color: gold;
  border-radius: .3rem;
  font-size: 1rem;
}
@media only screen and (min-width: 768px) {
  .contact-div .box {
    width: 80%;
    /* height: 100%; */
    grid-template-columns: 1fr 1.5fr;
  }
  .contact-details {
    padding-top: 2rem;
    padding-left: 3rem;
    gap: 1rem;
  }
  .details-box {
    gap: .5rem;
  }
  .details-box  figure {
    height: 2.5rem;
    width: 2.5rem;
  }
  .details-box   .detail-text {
    display: flex;
    flex-direction: column;
  }
  .form-grid {
    grid-template-columns: 1fr 1fr;
  }
  .form-grid     div {
    display: flex;
    flex-direction: column;
  }
  .form-grid div input {
    height: 2rem;
  }
  .contact-btn {
    width: 8rem;
    height: 3rem;
  }
}
/* contact section ends here */
/* footer section */
.footer-wrapper {
  width: 100%;
  background: #121212;
  display: grid;
}
.footer {
  display: flex;
  justify-content: center;
  padding: 1rem;
}
.footer  p {
  color: gold;
  font-size: 1.3rem;
  font-weight: 400;
}
.socials-ft {
  margin-left: 3rem;
  display: flex;
  gap: 1rem;
}
/* footer section ends here */